Only render single articles, and not collections or books
Closed, ResolvedPublic3 Story Points

Description

Make sure that the extension for the bare version only offers the rendering service for single page articles, not for books or article collections.
Doing so would require other prework first, such as finding out who to compile contents, citations, title page.

Background:
One of the wishes of the 2015 German-speaking community wishlist as well as the international community wishlist was the support of tables in pdfs: T135643.
It would take an enormous engineering effort to add tables to the current latex layout in a way that 80%-90% of the tables display correctly. 10%-20% would always be off due to the different capabilities of the two media (printed, layouted page versus HTML). Therefore the idea is to offer another way of rendering pdfs. The new browser-based rendering version will not have the well designed latex layout (at least for the start), but look like the printed website - not perfect for print, but at least complete.

Lea_WMDE created this task.Aug 5 2016, 1:32 PM
Lea_WMDE moved this task from Incoming to Tables in pdfs on the TCB-Team board.Aug 8 2016, 3:01 PM
Lea_WMDE changed the task status from Open to Stalled.Aug 19 2016, 10:19 AM
Tobi_WMDE_SW triaged this task as Normal priority.Aug 29 2016, 1:44 PM
Lea_WMDE changed the task status from Stalled to Open.Sep 9 2016, 3:46 PM
Addshore assigned this task to Tobi_WMDE_SW.

As the extension currently works, it only offers support for single pages, so I'm moving this to done.

Addshore closed this task as Resolved.Oct 20 2016, 9:28 AM